## org.omg.CORBA
Class NativeDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.NativeDefHelper

public class NativeDefHelper
extends java.lang.Object

Helper class for : NativeDef

Author:
  OpenORB Compiler

Constructor Summary
`NativeDefHelper()`

Method Summary
`static NativeDef` `extract(Any a)` Extract NativeDef from an any
`static java.lang.String` `id()` Return the NativeDef IDL ID
`static void` `insert(Any a, NativeDef t)` Insert NativeDef into an any
`static NativeDef` `narrow(Object obj)` Narrow CORBA::Object to NativeDef
`static NativeDef` `read(InputStream istream)` Read NativeDef from a marshalled stream
`static TypeCode` `type()` Return the NativeDef TypeCode
`static NativeDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to NativeDef
`static void` `write(OutputStream ostream, NativeDef value)` Write NativeDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeDefHelper

    public NativeDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NativeDef t)

  Insert NativeDef into an any
  Parameters:
    `a` - an any
    `t` - NativeDef value

### extract

    public static NativeDef extract(Any a)

  Extract NativeDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NativeDef value

### type

    public static TypeCode type()

  Return the NativeDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NativeDef IDL ID
  Returns:
    an ID

### read

    public static NativeDef read(InputStream istream)

  Read NativeDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NativeDef value

### write

    public static void write(OutputStream ostream,
                             NativeDef value)

  Write NativeDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NativeDef value

### narrow

    public static NativeDef narrow(Object obj)

  Narrow CORBA::Object to NativeDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    NativeDef Object

### unchecked_narrow

    public static NativeDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to NativeDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    NativeDef Object